Package picard.sam.SamErrorMetric

## Class BaseErrorAggregation<CALCULATOR extends BaseCalculator>

- java.lang.Object
- - picard.sam.SamErrorMetric.BaseErrorAggregation<CALCULATOR>

-     public class BaseErrorAggregation<CALCULATOR extends BaseCalculator>
      extends Object

  An interface and implementations for classes that apply a `RecordAndOffsetStratifier` to put bases into various "bins" and then compute an `ErrorMetric` on these bases using a `BaseErrorCalculator`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseErrorAggregation​(Supplier<CALCULATOR> simpleAggregatorGenerator, ReadBaseStratification.RecordAndOffsetStratifier stratifier)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBase​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)` |
    `ErrorMetric[]` | `getMetrics()` |
    `String` | `getSuffix()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseErrorAggregation

          public BaseErrorAggregation​(Supplier<CALCULATOR> simpleAggregatorGenerator,
                                      ReadBaseStratification.RecordAndOffsetStratifier stratifier)

  - ### Method Detail

    - #### addBase

          public void addBase​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset,
                              htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

    - #### getSuffix

          public String getSuffix()

    - #### getMetrics

          public ErrorMetric[] getMetrics()